---
anta_title: ANTA Commands API
---
<!--
  ~ Copyright (c) 2023-2025 Arista Networks, Inc.
  ~ Use of this source code is governed by the Apache License 2.0
  ~ that can be found in the LICENSE file.
  -->

## ::: anta.models.AntaCommand

## ::: anta.models.AntaTemplate

## EOS Commands Error Handling

::: anta.constants.UNSUPPORTED_PLATFORM_ERRORS
      options:
        heading_level: 7
        show_labels: false

::: anta.constants.EOS_BLACKLIST_CMDS
      options:
        heading_level: 7
        show_labels: false

::: anta.constants.KNOWN_EOS_ERRORS
      options:
        heading_level: 7
        show_labels: false
